import { html as n } from "lit";
import { property as h } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, f = Object.getOwnPropertyDescriptor, p = (l, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? f(t, i) : t, o = l.length - 1, c; o >= 0; o--)
    (c = l[o]) && (e = (r ? c(t, i, e) : c(e)) || e);
  return r && e && v(t, i, e), e;
};
let s = class extends a {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--policiesLarge", this.class = "c-pieIcon c-pieIcon--policiesLarge", this.name = "IconPoliciesLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--policiesLarge"><path d="M18.625 3.75h-14v25.375h22.75V12.5a8.749 8.749 0 0 0-8.75-8.75Zm6.773 7h-5.023V5.728a7.044 7.044 0 0 1 5.023 5.022Zm.227 16.625H6.375V5.5h12.25v7h7v14.875Zm-10.5-14H10.75v-1.75h4.375v1.75Zm-4.375 7h7v1.75h-7v-1.75Zm0-4.375h10.5v1.75h-10.5V16Z"></path></svg>`;
  }
};
p([
  h({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  h({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  m("icon-policies-large")
], s);
export {
  s as IconPoliciesLarge
};
